#ifndef PLL_LIB_H
#define PLL_LIB_H 1

#include <linux/dvb/frontend.h>

// FIXME: this structure should be somewhere else
struct bus_i2c
{
	int (*read)  (void* bus_data, const u8 addr, int reg, u8* buf, int len);
	int (*write) (void* bus_data, const u8 addr, const u8* buf, int len);

	void* data;
};


struct dvbpll
{
	int (*pll_init) (struct bus_i2c* bus, void* pll_data);
	int (*pll_set) (struct bus_i2c* bus, void* pll_data, struct dvb_frontend_parameters* fe_params);

	void* data;
};



struct dvbpll_td1316_data
{
	u8 pll_addr;
	u8 mc44bc_addr;

	u8 atc:1;
};
int dvbpll_td1316_init(struct bus_i2c* bus, void* pll_data);
int dvbpll_td1316_set(struct bus_i2c* bus, void* pll_data, struct dvb_frontend_parameters* fe_params);

#endif
